Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph
Class Node_Variable

    java.lang.Object
      com.hp.hpl.jena.graph.Node
          com.hp.hpl.jena.graph.Node_Fluid
              com.hp.hpl.jena.graph.Node_Variable

Direct Known Subclasses:
  Node_RuleVariable

    public class Node_Variable

extends Node_Fluid

"variable" nodes; these are outside the RDF2003 specification, but are used internally for "placeholder" nodes where blank nodes would be wrong, most specifically in Query.

Author:
  kers

Nested Class Summary
`static class` | `Node_Variable.VariableName`

Nested classes/interfaces inherited from class com.hp.hpl.jena.graph.Node
`Node.NotLiteral`

Field Summary

Fields inherited from class com.hp.hpl.jena.graph.Node
`ANY, NULL`

Constructor Summary
`Node_Variable(java.lang.String name)` Initialise this Node_Variable from a string `name`, which becomes wrapped in a VariableName.

Method Summary
`boolean` | `equals(java.lang.Object other)` Nodes only equal other Nodes that have equal labels.
`java.lang.String` | `getName()` get a variable nodes name, otherwise die horribly
`boolean` | `isVariable()` Answer true iff this node is a variable node - subclasses override
`java.lang.String` | `toString()` Answer a human-readable representation of this Node.
`static java.lang.Object` | `variable(java.lang.String name)`
`java.lang.Object` | `visitWith(NodeVisitor v)` Visit a Node and dispatch on it to the appropriate method from the NodeVisitor `v`.

Methods inherited from class com.hp.hpl.jena.graph.Node_Fluid
`isConcrete`

Methods inherited from class com.hp.hpl.jena.graph.Node
`cache, create, create, create, createAnon, createAnon, createLiteral, createLiteral, createLiteral, createLiteral, createUncachedLiteral, createURI, createVariable, getBlankNodeId, getBlankNodeLabel, getIndexingValue, getLiteral, getLiteralDatatype, getLiteralDatatypeURI, getLiteralIsXML, getLiteralLanguage, getLiteralLexicalForm, getLiteralValue, getLocalName, getNameSpace, getType, getURI, hashCode, hasURI, isBlank, isLiteral, isURI, matches, sameValueAs, toString, toString, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Node_Variable

    public Node_Variable(java.lang.String name)

  Initialise this Node_Variable from a string `name`, which becomes wrapped in a VariableName.

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: `Node`
  get a variable nodes name, otherwise die horribly

  Overrides:
    `getName` in class `Node`

### visitWith

    public java.lang.Object visitWith(NodeVisitor v)

  Description copied from class: `Node`
  Visit a Node and dispatch on it to the appropriate method from the NodeVisitor `v`.

  Specified by:
    `visitWith` in class `Node`
  Parameters:
    `v` - the visitor to apply to the node
  Returns:
    the value returned by the applied method

### isVariable

    public boolean isVariable()

  Description copied from class: `Node`
  Answer true iff this node is a variable node - subclasses override

  Overrides:
    `isVariable` in class `Node`

### toString

    public java.lang.String toString()

  Description copied from class: `Node`
  Answer a human-readable representation of this Node. It will not compress URIs, nor quote literals (because at the moment too many places use toString() for something machine-oriented).

  Overrides:
    `toString` in class `Node`

### equals

    public boolean equals(java.lang.Object other)

  Description copied from class: `Node`
  Nodes only equal other Nodes that have equal labels.

  Specified by:
    `equals` in class `Node`

### variable

    public static java.lang.Object variable(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP